org.apache.log4j.xml

## Class XSLTLayoutTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.xml.XSLTLayoutTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public class XSLTLayoutTestCase
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTLayoutTestCase(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testCDATA()`
    `void` | `testLocationInfo()`
    `void` | `testMDC()` Tests the format of the MDC portion of the layout to ensure the KVP's we put in turn up in the output file.
    `void` | `testMDCEscaped()`
    `void` | `testNull()`
    `void` | `XXXtestBasic()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTLayoutTestCase

          public XSLTLayoutTestCase(String name)

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          public void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### XXXtestBasic

          public void XXXtestBasic()
                            throws Exception

      Throws:
        `Exception`

    - #### testLocationInfo

          public void testLocationInfo()
                                throws Exception

      Throws:
        `Exception`

    - #### testCDATA

          public void testCDATA()
                         throws Exception

      Throws:
        `Exception`

    - #### testNull

          public void testNull()
                        throws Exception

      Throws:
        `Exception`

    - #### testMDC

          public void testMDC()
                       throws Exception

      Tests the format of the MDC portion of the layout to ensure the KVP's we put in turn up in the output file.
      Throws:
        `Exception`

    - #### testMDCEscaped

          public void testMDCEscaped()
                              throws Exception

      Throws:
        `Exception`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.